# Uses of Class
org.apache.avro.SchemaBuilder.GenericDefault

Packages that use SchemaBuilder.GenericDefault
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.GenericDefault in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.GenericDefault
Modifier and Type
Method
Description
`SchemaBuilder.GenericDefault<R>`
SchemaBuilder.FieldBuilder.`type(String name)`
Final step in configuring this field, finalizing name, namespace, alias, and order.
`SchemaBuilder.GenericDefault<R>`
SchemaBuilder.FieldBuilder.`type(String name, String namespace)`
Final step in configuring this field, finalizing name, namespace, alias, and order.
`SchemaBuilder.GenericDefault<R>`
SchemaBuilder.FieldBuilder.`type(Schema type)`
Final step in configuring this field, finalizing name, namespace, alias, and order.